import 'package:flutter/material.dart';

abstract class ColorsManager {
  static const Color textPrimaryColor = Color(0xFF5D5D5D);
  static const Color switchOffColor = Color(0x7F8D99AE);
  static const Color primaryColor = Color(0xFF0030CB); //023DFE
  static const Color secondaryTextColor = Color(0xFF848484);
  static Color primaryColorWithOpacity =
      const Color(0xFF023DFE).withOpacity(0.6);
  static const Color whiteColors = Colors.white;
  static const Color secondaryColor = Color(0xFF023DFE);
  static const Color onSecondaryColor = Color(0xFF023DFE);

  static Color dialogBlueTitle = Color(0xFF023DFE).withOpacity(0.6);

  static const Color primaryTextColor = Colors.black;

  static const Color greyColor = Color(0xFFd5d5d5);
  static const Color lightGreyColor = Color(0xFF999999);
  static const Color backgroundColor = Color(0xFFececec);
  static const Color dozeColor = Color(0xFFFEC258);
  static const Color relaxColor = Color(0xFFFBD288);
  static const Color readingColor = Color(0xFFF7D69C);
  static const Color worningColor = Color(0xFFFFF3C8);
  static const Color energizingColor = Color(0xFFEDEDED);
  static const Color dividerColor = Color(0xFFEBEBEB);
  static const Color slidingBlueColor = Color(0x99023DFE);
  static const Color blackColor = Color(0xFF000000);
  static const Color lightGreen = Color(0xFF00FF0A);
  static const Color green = Color(0xFF008905);
  static const Color grayColor = Color(0xFF999999);
  static const Color red = Color(0xFFFF0000);
  static const Color graysColor = Color(0xffEBEBEB);
  static const Color textGray = Color(0xffD5D5D5);
  static const Color btnColor = Color(0xFF00008B);
  static const Color blueColor = Color(0xFF0036E6);
  static const Color boxColor = Color(0xFFF5F6F7);
  static const Color boxDivider = Color(0xFFE0E0E0);
  static const Color blue1 = Color(0xFF0036E6);
  static const Color blue2 = Color(0xFF0026A2);
  static const Color blue3 = Color(0xFF00165E);
  static const Color blue4 = Color(0xFF001E7E);
  static const Color textGreen = Color(0xFF008905);
  static const Color yaGreen = Color(0xFFFFBF44);
}
//0036E6